%define module kernel_ppp_mppe
%define version 0.0.3
%define rpm_release 1

Summary     : Linux kernel PPP MPPE module
Name	    : %{module}
Version     : %{version}
Vendor	    : pptpclient.sourceforge.net
Release     : %{rpm_release}dkms
Group       : System Environment/Kernel
BuildArch   : noarch
Requires    : dkms >= 1.12
Source0     : %{module}-%{version}-src.tgz
License	    : Dual BSD/GPL
Packager    : PPTP Client project
URL         : http://pptpclient.sourceforge.net
BuildRoot   : %{_tmppath}/%{name}-%{version}-%{release}-root/

%description
This driver provides MPPE capability, necessary for implementing the PPTP protocol.
This driver supports 2.4.x and 2.6.x kernels.

For issues with this device driver, please see the PPTP Client project
on sourceforge.net.

%prep
%setup

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi
mkdir -p  $RPM_BUILD_ROOT/usr/src/
tar xzfC $RPM_SOURCE_DIR/%{module}-%{version}-src.tgz $RPM_BUILD_ROOT/usr/src/


%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
	rm -rf $RPM_BUILD_ROOT
fi

%files
%defattr(-,root,root)
%attr(-,root,root)/usr/src/%module-%version/

%post

# Add it (build and install it for currently running kernel if not a BOOT kernel)
dkms add -m %module -v %version --rpm_safe_upgrade

if [ `uname -r | grep -c "BOOT"` -eq 0 ] && [ -e /lib/modules/`uname -r`/build/include ] ; then
	dkms build -m %module -v %version
	dkms install -m %module -v %version
elif [ `uname -r | grep -c "BOOT"` -gt 0 ]; then
	echo -e "Module build for the currently running kernel was skipped"
	echo -e "since you are running a BOOT variant of the kernel."
else
	echo -e "Module build for the currently running kernel was skipped"
	echo -e "since the kernel source for this kernel does not seem to be"
        echo -e "installed."
fi

exit 0

%preun
echo -e "Uninstall of %module (version %version) beginning:"
dkms remove -m %module -v %version --all --rpm_safe_upgrade
exit 0

%changelog
* Fri Jun 4 2004 <Matt_Domsch@dell.com>
- Initial packaging in RPM format.
